Subject: Re: bug#43120: 28.0.50; fido-mode: M-j before completions appear selects wrong choice

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Sep 2020 16:19:31 +0200

Sean Whitton <[email-masked]> writes:

> I think the fix would be to clear completion-content-when-empty when the
> minibuffer exits, instead of leaving data from the last completion
> there.

Oh yeah, definitely -- it should be cleared on minibuffer exit.  I'm
guessing that should go in...  `completion--complete-and-exit'?  Would
it be possible for you to propose a patch that does that?  I don't use
fido-mode myself, and it's probably easier for you to test whether
that's the right fix.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no